/* File selector */
input[type="file"] {
    display:none;
}

.file_selector {
    display:block;
    color: var(--border);
    cursor: pointer;
    font-family:'Courier New', Courier, monospace;

    padding:20px;
    height:150px;
    border-radius: 10px;
    margin:15px;

    display:flex;
    justify-content: center;
    align-items: center;

    border: var(--border) 4px dashed;
}

.file_selector:hover {
    color: var(--text);
    font-size: larger;
    font-weight: bold;
    background-color: #31436b33
}


/* Display */
.file_display {
    /* background-color:var(--border); */
    border: 2px solid var(--border);
    border-radius: 3px;
    min-height: 10px;
    margin:20px;
    display: block;
    text-align: center;
    color:var(--border);
}

/* .file {
    color:var(--text);
    margin:0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width:100%;
} */

.file {
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: grid;
    color: var(--text);
    align-items: center;
    box-sizing: border-box;
}

.new {
    background-image: linear-gradient(to right, #5a7da755, #5a7da755);
    background-size: 0% 100%;
    background-repeat: no-repeat;
    background-position: left center;
    grid-template-columns: 1fr 1fr 1fr 1.7fr 0.3fr;

}
.existing {
    grid-template-columns: 0.5fr 1fr 1fr 1fr 0.7fr 0.7fr;
}

.file_display > .file:nth-child(even) {
    background-color: var(--table);
}

.combine {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap:10px;
}

.filesize {
    color:var(--dimtext)
}
.icon {
    font-size: xx-large;
}

input[type="password"] {
    background-color: var(--content);
    border: 2px solid var(--border);
    border-radius: 5px;
    color:var(--text);
    height:30px;
    width:200px;
    display: table;
    margin: 0 auto;
}
input[type="password"]:focus {
    background-color: var(--background);
    outline: none;
}

a {
    color:var(--text);
}
a:hover {
    color:var(--dimtext);
}